Bug 645603 - Review Request: python-mox - Mock object framework
Summary: Review Request: python-mox - Mock object framework
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-21 23:11 UTC by Silas Sewell
Modified: 2010-11-29 17:04 UTC (History)
3 users (show)

Fixed In Version: python-mox-0.5.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 23:27:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Silas Sewell 2010-10-21 23:11:07 UTC
Spec:
http://github.com/silas/rpms/raw/master/python-mox/python-mox.spec

SRPM:
http://github.com/downloads/silas/rpms/python-mox-0.5.3-1.fc13.src.rpm

Description:

Mox is a mock object framework for Python based on the Java mock object
framework EasyMock.

Comment 1 Thomas Spura 2010-10-22 12:14:45 UTC
- rpmlint:
$ rpmlint ./python-mox-0.5.3-1.fc14.src.rpm
./noarch/python-mox-0.5.3-1.fc14.noarch.rpm 
python-mox.noarch: E: non-executable-script
/usr/lib/python2.7/site-packages/mox.py 0644L /usr/bin/python2.4
python-mox.noarch: E: non-executable-script
/usr/lib/python2.7/site-packages/stubout.py 0644L /usr/bin/python2.4
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

See:
http://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries
(althought I'd prefer to remove them in %prep...)

- I'd use the url from the readme:
  http://code.google.com/p/pymox/

- license ok
- %check there
- group ok
- no *.la
- no libs
- noarch ok

- how about the python3 support? ;-)
  It would be nice, if you could open a ticket at upstream:
  http://code.google.com/p/pymox/issues/list

_______________________________________

Please fix at least the shebangs from above before importing.
Rest is ok.
_______________________________________

APPROVED

Comment 2 Silas Sewell 2010-10-26 17:59:11 UTC
Fixed above mentioned issues.

SRPM:
http://github.com/downloads/silas/rpms/python-mox-0.5.3-2.fc13.src.rpm

Comment 3 Silas Sewell 2010-10-26 18:01:27 UTC
New Package CVS Request
=======================
Package Name: python-mox
Short Description: Mock object framework
Owners: silas
Branches: F-13 F-14 EL-5 EL-6
InitialCC:

Comment 4 Jens Petersen 2010-10-28 09:25:03 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-11-04 16:36:34 UTC
python-mox-0.5.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-mox-0.5.3-2.fc14

Comment 6 Fedora Update System 2010-11-04 16:37:15 UTC
python-mox-0.5.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-mox-0.5.3-2.fc13

Comment 7 Fedora Update System 2010-11-04 16:38:03 UTC
python-mox-0.5.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-mox-0.5.3-2.el5

Comment 8 Fedora Update System 2010-11-04 23:29:43 UTC
python-mox-0.5.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-mox'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-mox-0.5.3-2.fc14

Comment 9 Fedora Update System 2010-11-17 23:27:05 UTC
python-mox-0.5.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-11-17 23:27:15 UTC
python-mox-0.5.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-29 17:04:55 UTC
python-mox-0.5.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.